class SpeechBalloonTemplatesController < ApplicationController
  layout 'test' if MagicNumber['test_layout']
  if MagicNumber['run_mode'] == 0
    before_filter :authenticate_user, :only => []
  else
    before_filter :authenticate_reader, :only => [:index, :show]
    before_filter :authenticate_user, :only => []
  end
  before_filter :authenticate_admin!, :only => [:list, :browse, :destroy]

  # GET /speech_balloon_templates
  # GET /speech_balloon_templates.json
  def index
    @speech_balloon_templates = SpeechBalloonTemplate.list

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @speech_balloon_templates.to_json(SpeechBalloonTemplate.list_json_opt) }
    end
  end

  # GET /speech_balloon_templates/1
  # GET /speech_balloon_templates/1.json
  def show
    @speech_balloon_template = SpeechBalloonTemplate.show(params[:id], [@user, @admin])

    respond_to do |format|
      format.html # show.html.erb
      format.json {
        render :json => @speech_balloon_template.to_json(SpeechBalloonTemplate.show_json_opt)
      }
      format.jsonp {
        render :json => "callback(" + @speech_balloon_template.to_json() + ")"
      }
    end
  end

  def list
    @speech_balloon_templates = SpeechBalloonTemplate.all

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speech_balloon_templates }
    end
  end

  def browse
    @speech_balloon_template = SpeechBalloonTemplate.find(params[:id])

    respond_to do |format|
      format.html { render layout: 'system' }
      format.json { render json: @speech_balloon_template }
    end
  end

  # DELETE /speech_balloon_templates/1
  # DELETE /speech_balloon_templates/1.json
  def destroy
    @speech_balloon_template = SpeechBalloonTemplate.find(params[:id])
    @speech_balloon_template.destroy

    respond_to do |format|
      format.html { redirect_to :action => :list }
      format.json { head :ok }
    end
  end
end
